#ifndef _GPILOT_FILEMAN_H_
#define _GPILOT_FILEMAN_H_
#include "config.h"
#include <glib.h>
#include <gtk/gtk.h>
#include <gnome.h>


#define GNOME_PILOT_FILEMAN_VERSION "0.1.0"

extern GtkWidget *app;

/* For pilotfunc.c */
int pilot_connect(gchar *device);
void pilot_disconnect(int);
void install_signal_handlers();
int pilot_install(int,char *);
int pilot_backup(int, int, char * dirname, int only_changed, 
		 int remove_deleted);

/* For filelist.c file */

int update_file_list_with_dir(GtkWidget *, gchar *, void *);
GList *file_list_get_selected_files();

/* For preferences.c file */

typedef struct {
  gboolean confirm_quit;
  gchar *port;
} FilemanPreferences;

extern FilemanPreferences *prefs;

void preferences_dialog_cb();
void load_preferences();
void save_preferences();

#endif /* _GPILOT_FILEMAN_H_ */
